Bug 1414065 - BuildRequires exceptions should be updated
Summary: BuildRequires exceptions should be updated
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: fedora-review
Version: 26
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Stanislav Ochotnicky
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-17 16:13 UTC by Daniel Moerner
Modified: 2018-05-29 11:24 UTC (History)
5 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2018-05-29 11:24:14 UTC


Attachments (Terms of Use)

Description Daniel Moerner 2017-01-17 16:13:14 UTC
Hi,

Per https://fedorahosted.org/fpc/ticket/497, the decision was made to remove an explicit list of exceptions to BuildRequires. fedora-review still hardcodes the old list in plugins/generic.py and points the user to the (no longer present at http://fedoraproject.org/wiki/Packaging/Guidelines#Exceptions_2) list in the Packaging Guidelines in plugins/generic.py and in review_template.txt

This produces issues like the following:

- All build dependencies are listed in BuildRequires, except for any that
  are listed in the exceptions section of Packaging Guidelines.
  Note: These BR are not needed: gcc-c++
  See: http://fedoraproject.org/wiki/Packaging/Guidelines#Exceptions_2

This has an inaccurate "See" link and also seems to be incorrect. BuildRequires on gcc-c++ is listed as "Must" here: https://fedoraproject.org/wiki/Packaging:C_and_C%2B%2B#BuildRequires_and_Requires

Comment 1 Fedora End Of Life 2017-02-28 11:00:36 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 26 development cycle.
Changing version to '26'.

Comment 2 Ondřej Lysoněk 2017-08-08 13:00:24 UTC
It would be really great if this got fixed, because people keep running into this and listing it as an issue in reviews.

Comment 3 Fedora End Of Life 2018-05-03 08:10:06 UTC
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 4 Fedora End Of Life 2018-05-29 11:24:14 UTC
Fedora 26 changed to end-of-life (EOL) status on 2018-05-29. Fedora 26
is no longer maintained, which means that it will not receive any
further security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.